/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.test.jbossnet.ejbsimple;

/**
 * A serializable data object for testing data passed to an EJB through the web
 * service interface.
 * @author jung
 * @version $Revision: 1.1.1.1.4.3 $
 * @jboss-net.xml-schema urn="ejbsimple:HelloData" array="true"
 */

public class HelloData implements java.io.Serializable
{
   static final long serialVersionUID = 3470987363548611533L;
   private String name;

   public String getName()
   {
      return name;
   }

   public void setName(String name)
   {
      this.name = name;
   }

   public boolean equals(Object obj)
   {
      if (this == obj)
         return true;
      if (obj == null || (obj instanceof HelloData) == false)
         return false;
      HelloData other = (HelloData) obj;
      if (name == null && other.name == null)
         return true;
      if (name == null && other.name != null)
         return false;
      return (name.equals(other.name));
   }

   public int hashCode()
   {
      if (name == null)
         return 0;
      else
         return name.hashCode();
   }
}
